Mark all objects as not for sale
Rate limits
This endpoint does not belong to the priority lane. Do not use it within your ticket sales flow.
This API call marks all objects as not for sale.
It does not enumerate all objects of the chart. Instead, it updates the for sale config to forSale: true, with an empty list of objects.
- Text
- PHP
- C#
- Java
- Python
- Ruby
- Javascript
- Go
POST https://api-{region}.seatsio.net/events/{eventKey}/actions/mark-everything-as-not-for-sale
$seatsioClient->events->markEverythingAsNotForSale("event34");
await Client.Events.MarkEverythingAsNotForSaleAsync("event34");
client.events.markEverythingAsNotForSale("event34");
client.events.mark_everything_as_not_for_sale("event34")
client.events.mark_everything_as_not_for_sale key: 'event34'
await client.events.markEverythingAsNotForSale('eventKey');
err = client.Events.MarkEverythingAsNotForSale("eventKey")
Example request
curl https://api-{region}.seatsio.net/events/event34/actions/mark-everything-as-not-for-sale \
-u aSecretKey: -X POST
Response
{
"rateLimitRemainingCalls": 9,
"rateLimitResetDate": "2021-10-01T23:00:00Z"
}
Warning
There's a rate limit of 10 calls per day per event. If that rate limit is reached, a 429 (Too Many Requests) is returned. The Retry-After header indicates how many seconds you have to wait before trying again.